/**
 * Created by janis dähne.
 */


import * as genericLayer from './genericLayer'
import {SystemSettingsFromBackend} from "../types/systemSettings";

const callingName = 'systemSettingsLayer'
const controllerPrefix = 'systemsettings'


/**
 * gets the system settings
 */
export async function getSystemSettingsFromBackend(): Promise<SystemSettingsFromBackend> {
  return genericLayer.get<SystemSettingsFromBackend>(callingName,
    controllerPrefix)
}