/**
 * Created by janis dähne.
 */
import {UPDATE_editorSettingsAction} from "../../reducers/editorSettingsDialog/updateEditorSettingsReducer";
import {UserSettingsFullBase} from "../../../types/userData";
import {ActionType} from "../../reducers/editorSettingsDialog/editorSettingsDialogActionTypes";
import {delay} from "../../../../debug";
import {createOrUpdateUserSettings} from "../../../communicationLayer/userSettingsLayer";
import {AwaitActions} from "../types";



export function updateEditorSettingsActionAsync(userSettings: UserSettingsFullBase): AwaitActions {
  return async (dispatch) => {

    await dispatch(_updateEditorSettingsActionAsync(userSettings))

  }
}

function _updateEditorSettingsActionAsync(userSettings: UserSettingsFullBase): UPDATE_editorSettingsAction {
  return {
    type: ActionType.UPDATE_editorSettings,
    payload: delay(createOrUpdateUserSettings(userSettings))
  }
}

