/**
 * Created by janis dähne.
 */
import {ActionType} from "../../../reducers/ownOrGroupExerciseReducers/exerciseReleasesSite/releasesSiteActionTypes";
import {GET_exerciseReleasesAction} from "../../../reducers/ownOrGroupExerciseReducers/exerciseReleasesSite/getReleasesReducer";
import {delay} from "../../../../../debug";
import {deleteExerciseRelease, getForExercise} from "../../../../communicationLayer/exerciseReleasesLayer";
import {DELETE_exerciseReleaseAction} from "../../../reducers/ownOrGroupExerciseReducers/exerciseReleasesSite/deleteReleaseReducer";


export function getExerciseReleaseAsync(exerciseId: number): GET_exerciseReleasesAction {
  return {
    type: ActionType.GET_exerciseReleases,
    payload: delay(getForExercise(exerciseId)),
  }
}

export function deleteExerciseReleaseAsync(releaseId: number): DELETE_exerciseReleaseAction {
  return {
    type: ActionType.DELETE_exerciseRelease,
    payload: delay(deleteExerciseRelease(releaseId)),
  }
}
