/**
 * Created by janis dähne.
 */

import {ExerciseCodeTemplateFullBase} from "../../../../types/exerciseEditor";
import {ActionBase, ActionType} from "../doExerciseSiteActionTypes";
import {notExhaustive} from "../../_notExhausiveHelper";

export type State = ReadonlyArray<ExerciseCodeTemplateFullBase>


export const initial: State = []


export interface SET_doExercise_codeTemplatesAction extends ActionBase {
  readonly type: ActionType.SET_doExercise_codeTemplates
  readonly codeTemplates: ReadonlyArray<ExerciseCodeTemplateFullBase>
}


export type AllActions =
  | SET_doExercise_codeTemplatesAction


export function reducer(state: State = initial, action: AllActions): State {

  switch (action.type) {

    case ActionType.SET_doExercise_codeTemplates:
      return [...action.codeTemplates]

    default:
      //somehow only working with 2 or more cases...
      //notExhaustive(action)
      return state
  }
}

