/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  SET_isCreating = 'tagsChangeDialogReducer_SET_isCreating',
  SET_isColorPickerOpened = 'tagsChangeDialogReducer_SET_isColorPickerOpened',
  SET_isBackgroundColorPickerOpened = 'tagsChangeDialogReducer_SET_isBackgroundColorPickerOpened',

  SET_id = 'tagsChangeDialogReducer_SET_id',
  SET_displayName = 'tagsChangeDialogReducer_SET_displayName',
  SET_description = 'tagsChangeDialogReducer_SET_description',
  SET_htmlColor = 'tagsChangeDialogReducer_SET_htmlColor',
  SET_htmlBackgroundColor = 'tagsChangeDialogReducer_SET_htmlBackgroundColor',
  SET_htmlIcon = 'tagsChangeDialogReducer_SET_htmlIcon',


  CREATE_tag = 'tagsChangeDialogReducer_CREATE_tag',
  CREATE_tag_PENDING = 'tagsChangeDialogReducer_CREATE_tag_PENDING',
  CREATE_tag_FULFILLED = 'tagsChangeDialogReducer_CREATE_tag_FULFILLED',
  CREATE_tag_REJECTED = 'tagsChangeDialogReducer_CREATE_tag_REJECTED',

  UPDATE_tag = 'tagsChangeDialogReducer_UPDATE_tag',
  UPDATE_tag_PENDING = 'tagsChangeDialogReducer_UPDATE_tag_PENDING',
  UPDATE_tag_FULFILLED = 'tagsChangeDialogReducer_UPDATE_tag_FULFILLED',
  UPDATE_tag_REJECTED = 'tagsChangeDialogReducer_UPDATE_tag_REJECTED',
    
  RESET = 'tagsChangeDialogReducer_RESET',
}