/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {


  RERUN_automaticAssessment = 'submissionsSiteReducer_RERUN_automaticAssessment',
  RERUN_automaticAssessment_PENDING = 'submissionsSiteReducer_RERUN_automaticAssessment_PENDING',
  RERUN_automaticAssessment_FULFILLED = 'submissionsSiteReducer_RERUN_automaticAssessment_FULFILLED',
  RERUN_automaticAssessment_REJECTED = 'submissionsSiteReducer_RERUN_automaticAssessment_REJECTED',


  RERUN_singleAutomaticAssessment = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment',
  RERUN_singleAutomaticAssessment_PENDING = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment_PENDING',
  RERUN_singleAutomaticAssessment_FULFILLED = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment_FULFILLED',
  RERUN_singleAutomaticAssessment_REJECTED = 'submissionsSiteReducer_RERUN_singleAutomaticAssessment_REJECTED',

  GET_submissions = 'submissionsSiteReducer_GET_submissions',
  GET_submissions_PENDING = 'submissionsSiteReducer_GET_submissions_PENDING',
  GET_submissions_FULFILLED = 'submissionsSiteReducer_GET_submissions_FULFILLED',
  GET_submissions_REJECTED = 'submissionsSiteReducer_GET_submissions_REJECTED',


  SET_selectedReleaseId = 'submissionsSiteReducer_SET_selectedReleaseId',
  SET_comesFromOwnExercisesSite = 'submissionsSiteReducer_SET_comesFromOwnExercisesSite',


  SET_automaticRefreshViewIntervalCounter = 'submissionsSiteReducer_SET_automaticRefreshViewIntervalCounter',
  SET_isAutomaticRefreshViewEnabled = 'submissionsSiteReducer_SET_isAutomaticRefreshViewEnabled',
  SET_runningAssessment = 'submissionsSiteReducer_SET_runningAssessment',

  SET_sortByKey = 'submissionsSiteReducer_SET_sortByKey',

  RESET = 'submissionsSiteReducer_RESET',
}

