/**
 * Created by janis dähne.
 */



/**
 * a programming language
 * frontend and backend type is equal (fullBase)
 */
export interface PLangFullBase {
  readonly id:number
  /**
   * the name of the programming language
   */
  readonly displayName:string
  /**
   * the internal name e.g. used for the online-editor
   *
   * TODO maybe we need to translate this for frontend because the backend and frontend use different internal names?
   * e.g. monaco editor??
   */
  readonly internalName:string
}