/* tslint:disable */
/**
 * Created by janis dähne
 */

declare const $: any

//from http://stackoverflow.com/questions/901115/how-can-i-get-query-string-values-in-javascript
function getParameterByName(name:string, url?:string) {
  if (!url) url = window.location.href;
  name = name.replace(/[\[\]]/g, "\\$&");
  var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
    results = regex.exec(url);
  if (!results) return null;
  if (!results[2]) return '';
  return decodeURIComponent(results[2].replace(/\+/g, " "));
}

function externalRegister() {
  var pwInput:HTMLInputElement = <HTMLInputElement>document.getElementById('password')
  var pwWdhInput:HTMLInputElement = <HTMLInputElement>document.getElementById('passwordWdh')

  var pw = pwInput.value
  var pwWdh = pwWdhInput.value

  if (pw === '') {
    alert('Passwort dart nicht leer sein!')
    return
  }

  if (pw !== pwWdh) {
    alert('Passwort und wiederholtes Passwort stimmene nicht überein!')
    return
  }

  var tid = getParameterByName('tid')

  if (!CryptoJS) {
    alert('Cryptojs nicht gefunden!\nKann Benutzer nicht erstellen.')
    return
  }

  //this needs to be the same hash algorithm than the login,register and user self pw change (see pwHelper)
  let hashedPw:any = CryptoJS.SHA512(pw)
  
  let obj = { tid: tid, pw: hashedPw.toString(CryptoJS.enc.Hex) }

  $.post({
    url: '/api/auth/register/external',
    contentType: 'application/json; charset=UTF-8',
    data: JSON.stringify(obj),
    dataType: 'json',
    success: () => {
      alert('Ändern des Passworts erfolgreich. Sie müssen sich jetzt einmalig manuell Einlogge, um zu testen, ob alles funktioniert.' +
        '\nSie werden automatisch zum Login weitergeleitet');
      
      window.location.href = 'index_deploy.html'
    },
    error: function() {
      console.log(Array.prototype.slice.call(arguments))
      alert('Ein Fehler ist aufgetreten.')
    }
  })
  
}

