/* tslint:disable */
/**
 * Created by janis dähne
 */

declare const $: any

function getEncodedPw() {

  var pwInput: HTMLInputElement = <HTMLInputElement>document.getElementById('password')
  var encodedPW: HTMLInputElement = <HTMLInputElement>document.getElementById('passwordEnc')
  var encodedPW3: HTMLInputElement = <HTMLInputElement>document.getElementById('passwordEnc3') //only sha3

  var pw = pwInput.value

  //this needs to be the same hash algorithm than the login,register and user self pw change (see pwHelper)
  let hashedPw: any = CryptoJS.SHA512(pw)

  let obj  = hashedPw.toString(CryptoJS.enc.Hex)

  encodedPW3.value = obj

  $.post({
    url: '/api/auth/justhash',
    contentType: 'application/json; charset=UTF-8',
    data: JSON.stringify(obj),
    dataType: 'json',
    success: function (data: any, textStatus: string, jqXHR: any) {
      console.log(Array.prototype.slice.call(arguments))
      if (data.code === 0) { //0 = ok
        encodedPW.value = data.data
        console.log(data.data)
      }

    },
    error: function () {
      console.log(Array.prototype.slice.call(arguments))
      alert('Ein Fehler ist aufgetreten.');
    }
  })

}