/**
 * Created by janis dähne.
 */
import {PLangFullBase} from "../types/pLangs";
import * as genericLayer from './genericLayer'


const callingName = 'pLangs'
const controllerPrefix = 'plangs'


/**
 * gets all known plangs
 */
export function getPLangs(): Promise<ReadonlyArray<PLangFullBase>> {
  return genericLayer.get<ReadonlyArray<PLangFullBase>>(callingName,
    `${controllerPrefix}`)
}
