/**
 * Created by janis dähne.
 */

import * as React from "react";
import {connect} from "react-redux";
import {bindActionCreators, Dispatch} from "redux";
import {returntypeof} from 'react-redux-typescript';
import {RootState} from "../../state/reducers/index";
import {MultiTabCodeEditorProps} from "./multiTabCodeEditorProps";

import MultiFileAceEditor from './aceEditors/multiFileAceEditor'

//const css = require('./styles.styl');

export interface MyProps {
  //readonly test: string
}

const mapStateToProps = (rootState: RootState, props: MultiTabCodeEditorProps) => {
  return {
    //test0: rootState...
    //test: props.test
    ...props
  }
}

const mapDispatchToProps = (dispatch: Dispatch<any>) => bindActionCreators({
  //imported reducer funcs here

}, dispatch)


const stateProps = returntypeof(mapStateToProps);
const dispatchProps = returntypeof(mapDispatchToProps);
type Props = typeof stateProps & typeof dispatchProps;


//use this to quickly switch between monaco and ace editor
//BUT we only use ace now...
//BUT when we want to ever change the editor we only need it here!
//  because they use the same props everything (mostly) should be working...

class multiTabCodeEditorWrapper extends React.Component<Props, any> {
  render(): JSX.Element {
    return (
      <MultiFileAceEditor
        {...this.props}
      />
    )
  }
}

export default connect(mapStateToProps, mapDispatchToProps)(multiTabCodeEditorWrapper)