/**
 * Created by janis dähne.
 */

import * as React from "react";
import {connect} from "react-redux";
import {bindActionCreators, Dispatch} from "redux";
import {returntypeof} from 'react-redux-typescript';
import {RootState} from "../../../state/reducers/index";

import OwnInformationSettingsView from './ownInformationSettingsView'
import MiscSettingsView from './miscSettingsView'
import {loadSettingsSite} from "../../../state/actions/settingsSite/userSettingsSiteActions";

//const css = require('./styles.styl');

export interface MyProps {
  //readonly test: string
}

const mapStateToProps = (rootState: RootState /*, props: MyProps*/) => {
  return {
    //test0: rootState...
    //test: props.test
  }
}

const mapDispatchToProps = (dispatch: Dispatch<any>) => bindActionCreators({
  //imported reducer funcs here
  loadSettingsSite
}, dispatch)


const stateProps = returntypeof(mapStateToProps);
const dispatchProps = returntypeof(mapDispatchToProps);
type Props = typeof stateProps & typeof dispatchProps;

class SettingSite extends React.Component<Props, any> {

  componentWillMount(): void {
    this.props.loadSettingsSite()
  }

  render(): JSX.Element {
    return (
      <div className="multiple-single-panels">

        <OwnInformationSettingsView/>

        <MiscSettingsView />

      </div>

    )
  }
}

export default connect(mapStateToProps, mapDispatchToProps)(SettingSite)