Aufgaben Syntax
===

## Beispiele

```
[question=md/pdf/txt/latex]
Die Frage
```
## [question] - Tag
Hier wird die Aufgabenstellung angegeben.
Es ist nur eine Aufgabenstellung aufgabenstellung erlaubt.

Als Format stehen Markdown (md), Pdf (pdf), normaler Text (txt) zur Auswahl.

* ### Markdown (md) 
 Links: [https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet), [https://de.wikipedia.org/wiki/Markdown](https://de.wikipedia.org/wiki/Markdown)
* Es kann Markdown geschrieben werden (Github-flavored Markdown), es darf HTML eingebunden werden (z.B. um Bilder einzubinden).
* Der Latex-Mathe-Modus wird mittels MathJax unterstützt. 
$$ für einen Inline-Modus (z.b. $a_b) und
 
2x $$ für den Formel-Modus (eigene Zeile) (analog Latex).

Hinweise: 
Innerhalb der Formeln wird markdown ignoriert. Um die Formeln herum kann kein markdown benutzt werden 
z.B. ** $ formel$ ** kann nicht fett geschrieben werden.
Auch sollte beachtet werden, dass es zu Problemen kommen kann, wenn man in einem Absatz mehrere Zeilen mit jeweils einem Dollar-Zeichen benutzt, welche zusammen (über mehrere Zeilen) Text einschließen (was einer Formel entspricht).
Gleiches gilt für 2x $$ Formel-Modus.


```
[question=md]
Frage mit **Markdown**
Latex-Mathe-Modus wird ebenfalls unterstützt: $x^2 + y^2 = c^2$ 
und auch in eigener Zeile: \\[ x^2 + y^2 = c^2 \\] (latex) sollte $$x^2 + y^2 = c^2$$ sein

Html ist ebenfalls möglich, so lassen sich Bilder einbinden:
<img src="asset://meinBild.jpg" width="100%">
Das Bild muss vorher als Asset hinzugefügt werden.
```

Syntax highlighting

es werden die folgenden Sprachen unterstützt

- javascript
- java
- c++
- diff
- c#
- sql
- json

```text
'''java
class Main {
}
'''
```

(die ''' durch ``` ersetzen, da sie sonst hier interpretiert würden)

Außerdem werden automatisch Zeilennummern eingefügt (nicht abstellbar).


* ### Pdf (pdf)
Es kann **eine** Url zu einem Pdf angegeben werden. Die Url muss dabei eine Asset-Url sein (beginnt mit asset://).
Das Pdf muss dazu als Asset hinzugefügt werden.

```
[question=pdf]
asset://Name_des_Pdfs.pdf
```

Beachten Sie, dass die Vorschau sich bei pdf nur schlecht automatisch aktualisiert. Falls die Vorschau daher nicht automatisch aktualisiert wird, wechseln Sie bitte den Tab (z.B. nach Anleitung oder Eigenschaften und wieder zu Vorschau), danach sollte die Vorschau aktualisiert werden.

* ### normaler Text (txt)
Es kann nur normaler Text geschrieben werden.

```
[question=txt]
Nur normaler Text erlaubt
```

