/**
 * Created by janis dähne.
 */
import {CREATE_customTestAction} from "../../../../reducers/doExerciseSite/dialogs/changeCustomTestDialog/createCustomTestReducer";
import {ActionType} from "../../../../reducers/doExerciseSite/dialogs/changeCustomTestDialog/changeCustomTestDialogActionTypes";
import {delay} from "../../../../../../debug";
import {createCustomTest, deleteCustomTest, updateCustomTest} from "../../../../../communicationLayer/doExerciseLayer";
import {CustomTestForBackend, CustomTestFromBackend} from "../../../../../types/customTests";
import {UPDATE_customTestAction} from "../../../../reducers/doExerciseSite/dialogs/changeCustomTestDialog/updateCustomTestReducer";


export function createCustomTestDoEditor(releaseCode: string, customTest: CustomTestForBackend): CREATE_customTestAction {
  return {
    type: ActionType.CREATE_customTest,
    payload: delay(createCustomTest(releaseCode, customTest))
  }
}

export function updateCustomTestDoEditor(releaseCode: string, customTest: CustomTestForBackend): UPDATE_customTestAction {
  return {
    type: ActionType.UPDATE_customTest,
    payload: delay(updateCustomTest(releaseCode, customTest))
  }
}

