/**
 * Created by janis dähne.
 */
import {
  SET_canUserCreateCustomTestsAction, SET_canUserCreateFilesAction,
  SET_displayNameAction, SET_isOnlyVisibleToMeAction,
  SET_shortDescriptionAction, SET_showSubmitResultsAction, SET_userGroupIdAction
} from "../../../reducers/exerciseEditorSite/subSets/setEditorExercisePropertiesReducer";
import {ActionType} from "../../../reducers/exerciseEditorSite/editorExerciseSiteActionTypes";


//---EditorExercisePropertiesFullBase
export function setDisplayName(displayName: string): SET_displayNameAction {
  return {
    type: ActionType.SET_displayName,
    displayName
  }
}

export function setShortDescription(shortDescription: string): SET_shortDescriptionAction {
  return {
    type: ActionType.SET_shortDescription,
    shortDescription
  }
}

export function setIsOnlyVisibleToMe(isOnlyVisibleToMe: boolean): SET_isOnlyVisibleToMeAction {
  return {
    type: ActionType.SET_isOnlyVisibleToMe,
    isOnlyVisibleToMe
  }
}

export function setCanUserCreateCustomTests(canUserCreateCustomTests: boolean): SET_canUserCreateCustomTestsAction {
  return {
    type: ActionType.SET_canUserCreateCustomTests,
    canUserCreateCustomTests
  }
}

export function setCanUserCreateFiles(canUserCreateFiles: boolean): SET_canUserCreateFilesAction {
  return {
    type: ActionType.SET_canUserCreateFiles,
    canUserCreateFiles
  }
}

export function setShowSubmitResults(showSubmitResults: boolean): SET_showSubmitResultsAction {
  return {
    type: ActionType.SET_showSubmitResults,
    showSubmitResults
  }
}

export function setUserGroupId(userGroupId: number): SET_userGroupIdAction {
  return {
    type: ActionType.SET_userGroupId,
    userGroupId
  }
}
