/**
 * Created by janis dähne.
 */
import {GET_userGroupRoleAction} from "../../reducers/groupStorage/getUserGroupRole";
import {ActionType} from "../../reducers/groupStorage/groupStorageActionTypes";
import {delay} from "../../../../debug";
import {getGroupPermissionFromUserForGroup} from "../../../communicationLayer/groupsLayer";


export function getUserPermissionForGroup(userGroupId: number): GET_userGroupRoleAction {
  return {
    type: ActionType.GET_userGroupRole,
    payload: delay(getGroupPermissionFromUserForGroup(userGroupId))
  }
}