/**
 * Created by janis dähne.
 */
import {
  SET_targetUserIdAction,
  SET_emailAction,
  SET_lastNameAction,
  SET_firstNameAction,
  SET_passwordAction,
  SET_systemRoleAction
} from "../../../reducers/manageActivatedUsersSite/dialog/otherUserDataReducer";
import {ActionType} from "../../../reducers/manageActivatedUsersSite/dialog/changeActivatedUserDataDialogActionTypes";
import {SystemRoleFullBase} from "../../../../types/userData";


export function setTargetUserId(targetUserId: number): SET_targetUserIdAction {
  return {
    type: ActionType.SET_targetUserId,
    targetId: targetUserId
  }
}

export function setEmail(email: string): SET_emailAction {
  return {
    type: ActionType.SET_email,
    email
  }
}

export function setLastName(lastName: string): SET_lastNameAction {
  return {
    type: ActionType.SET_lastName,
    lastName
  }
}

export function setFirstName(firstName: string): SET_firstNameAction {
  return {
    type: ActionType.SET_firstName,
    firstName
  }
}

export function setPassword(password: string): SET_passwordAction {
  return {
    type: ActionType.SET_password,
    password
  }
}

export function setSystemRole(systemRole: SystemRoleFullBase): SET_systemRoleAction {
  return {
    type: ActionType.SET_systemRole,
    systemRole
  }
}