/**
 * Created by janis dähne.
 */
import {
  ActionType, ResetAction, SET_selectedNegativeFilterTagsIdsAction,
  SET_selectedTagIdsAction
} from "../reducers/tagsFilterReducer";


export function setTagFilterSelectedTagIds(selectedTagIds: ReadonlyArray<number>): SET_selectedTagIdsAction {
  return {
    type: ActionType.SET_selectedTagIds,
    selectedTagIds
  }
}

export function setTagFilterSelectedNegativeFilterTagsIds(selectedNegativeFilterTagsIds: ReadonlyArray<number>): SET_selectedNegativeFilterTagsIdsAction {
  return {
    type: ActionType.SET_selectedNegativeFilterTagsIds,
    selectedNegativeFilterTagsIds
  }
}


export function resetTagsFilter(): ResetAction {
  return {
    type: ActionType.RESET,
  }
}