/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {


  SET_editorExerciseId = 'editorExerciseSiteReducer_SET_exerciseEditorId',
  SET_note = 'editorExerciseSiteReducer_SET_note',
  SET_editorExerciseCreatorId = 'editorExerciseSiteReducer_SET_editorExerciseCreatorId',


  SET_uiCodeTemplateFilesDisplayedHash = 'editorExerciseSiteReducer_SET_uiCodeTemplateFilesDisplayedHash',

  SET_editorExercise= 'editorExerciseSiteReducer_SET_editorExercise',


  //tests
  SET_tests = 'editorExerciseSiteReducer_SET_tests',

  //code templates
  SET_codeTemplates = 'editorExerciseSiteReducer_SET_codeTemplates',

  //default test settings (for custom test)
  SET_editorExerciseDefaultTestSettingsId = 'editorExerciseSiteReducer_SET_editorExerciseDefaultTestSettingsId',
  SET_timeoutInMs = 'editorExerciseSiteReducer_SET_timeoutInMs',
  SET_memoryLimitInKb = 'editorExerciseSiteReducer_SET_memoryLimitInKb',
  SET_maxDiskSpaceInKb = 'editorExerciseSiteReducer_SET_maxDiskSpaceInKb',

  //meta data
  SET_editorExerciseMetaDataId = 'editorExerciseSiteReducer_SET_editorExerciseMetaDataId',
  SET_tagIds = 'editorExerciseSiteReducer_SET_tagIds',

  //exercise description
  SET_editorExerciseDescriptionId = 'editorExerciseSiteReducer_SET_editorExerciseDescriptionId',
  SET_editorExerciseContent = 'editorExerciseSiteReducer_SET_editorExerciseContent',
  SET_assets = 'editorExerciseSiteReducer_SET_assets',

  //exercise properties
  SET_displayName = 'editorExerciseSiteReducer_SET_displayName',
  SET_shortDescription = 'editorExerciseSiteReducer_SET_shortDescription',
  SET_isOnlyVisibleToMe = 'editorExerciseSiteReducer_SET_isOnlyVisibleToMe',

  SET_canUserCreateCustomTests = 'editorExerciseSiteReducer_SET_canUserCreateCustomTests',
  SET_canUserCreateFiles = 'editorExerciseSiteReducer_SET_canUserCreateFiles',
  SET_showSubmitResults = 'editorExerciseSiteReducer_SET_showSubmitResults',
  SET_userGroupId = 'editorExerciseSiteReducer_SET_userGroupId',


  GET_editorExercise = 'editorExerciseSiteReducer_GET_editorExercise',
  GET_editorExercise_PENDING = 'editorExerciseSiteReducer_GET_editorExercise_PENDING',
  GET_editorExercise_FULFILLED = 'editorExerciseSiteReducer_GET_editorExercise_FULFILLED',
  GET_editorExercise_REJECTED = 'editorExerciseSiteReducer_GET_editorExercise_REJECTED',


  CREATE_editorExercise = 'editorExerciseSiteReducer_CREATE_editorExercise',
  CREATE_editorExercise_PENDING = 'editorExerciseSiteReducer_CREATE_editorExercise_PENDING',
  CREATE_editorExercise_FULFILLED = 'editorExerciseSiteReducer_CREATE_editorExercise_FULFILLED',
  CREATE_editorExercise_REJECTED = 'editorExerciseSiteReducer_CREATE_editorExercise_REJECTED',

  UPDATE_editorExercise = 'editorExerciseSiteReducer_UPDATE_editorExercise',
  UPDATE_editorExercise_PENDING = 'editorExerciseSiteReducer_UPDATE_editorExercise_PENDING',
  UPDATE_editorExercise_FULFILLED = 'editorExerciseSiteReducer_UPDATE_editorExercise_FULFILLED',
  UPDATE_editorExercise_REJECTED = 'editorExerciseSiteReducer_UPDATE_editorExercise_REJECTED',

  SET_topRightSelectedTabIndex = 'editorExerciseSiteReducer_SET_topRightSelectedTabIndex',
  SET_topLeftSelectedTabIndex = 'editorExerciseSiteReducer_SET_topLeftSelectedTabIndex',
  SET_bottomRightSelectedTabIndex = 'editorExerciseSiteReducer_SET_bottomRightSelectedTabIndex',
  SET_bottomLeftSelectedTabIndex = 'editorExerciseSiteReducer_SET_bottomLeftSelectedTabIndex',

  SET_topRightPanelViewSize = 'editorExerciseSiteReducer_SET_topRightPanelViewSize',
  SET_topLeftPanelViewSize = 'editorExerciseSiteReducer_SET_topLeftPanelViewSize',
  SET_botRightPanelViewSize = 'editorExerciseSiteReducer_SET_botRightPanelViewSize',
  SET_botLeftPanelViewSize = 'editorExerciseSiteReducer_SET_botLeftPanelViewSize',

  SET_isChangeTestDialogDisplayed = 'editorExerciseSiteReducer_SET_isChangeTestDialogDisplayed',
  SET_isChangeSelectedTagsDialogDisplayed = 'editorExerciseSiteReducer_SET_isChangeSelectedTagsDialogDisplayed',
  SET_isChangeCodeTemplateDialogDisplayed = 'editorExerciseSiteReducer_SET_isChangeCodeTemplateDialogDisplayed',
  SET_isChangeEditorSettingsDialogDisplayed = 'editorExerciseSiteReducer_SET_isChangeEditorSettingsDialogDisplayed',


  SET_hDividerPosOffset = 'editorExerciseSiteReducer_SET_hDividerPosOffset',
  SET_vDividerPosOffset = 'editorExerciseSiteReducer_SET_vDividerPosOffset',


  RESET = 'editorExerciseSiteReducer_RESET'
}


