/**
 * Created by janis dähne.
 */
import {Action} from "redux";
import {notExhaustive} from "../../_notExhausiveHelper";
import {ExerciseTestForBackend} from "../../../../types/exerciseEditor";
import {ActionBase, ActionType} from "../editorExerciseSiteActionTypes";

export type State = ReadonlyArray<ExerciseTestForBackend>


export const initial: State = []


export interface SET_testAction extends ActionBase {
  readonly type: ActionType.SET_tests
  readonly tests: ReadonlyArray<ExerciseTestForBackend>
}


export type AllActions =
  SET_testAction


export function reducer(state: State = initial, action: AllActions): State {

  switch (action.type) {

    case ActionType.SET_tests:
      return [...action.tests]


    default:
      //only working for 2 cases
      //notExhaustive(action)
      return state
  }
}

