/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  GET_exerciseReleases = 'releaseSiteReducer_GET_exerciseReleases',
  GET_exerciseReleases_PENDING = 'releaseSiteReducer_GET_exerciseReleases_PENDING',
  GET_exerciseReleases_FULFILLED = 'releaseSiteReducer_GET_exerciseReleases_FULFILLED',
  GET_exerciseReleases_REJECTED = 'releaseSiteReducer_GET_exerciseReleases_REJECTED',


  GET_ownExercises = 'releaseSiteReducer_GET_ownExercises',
  GET_ownExercises_PENDING = 'releaseSiteReducer_GET_ownExercises_PENDING',
  GET_ownExercises_FULFILLED = 'releaseSiteReducer_GET_ownExercises_FULFILLED',
  GET_ownExercises_REJECTED = 'releaseSiteReducer_GET_ownExercises_REJECTED',


  GET_groupExercises = 'releaseSiteReducer_GET_groupExercises',
  GET_groupExercises_PENDING = 'releaseSiteReducer_GET_groupExercises_PENDING',
  GET_groupExercises_FULFILLED = 'releaseSiteReducer_GET_groupExercises_FULFILLED',
  GET_groupExercises_REJECTED = 'releaseSiteReducer_GET_groupExercises_REJECTED',

  DELETE_exerciseRelease = 'releaseSiteReducer_DELETE_exerciseRelease',
  DELETE_exerciseRelease_PENDING = 'releaseSiteReducer_DELETE_exerciseRelease_PENDING',
  DELETE_exerciseRelease_FULFILLED = 'releaseSiteReducer_DELETE_exerciseRelease_FULFILLED',
  DELETE_exerciseRelease_REJECTED = 'releaseSiteReducer_DELETE_exerciseRelease_REJECTED',

  SET_selectedExerciseId = 'releaseSiteReducer_SET_selectedExerciseId',

  SET_sortByKey = 'releaseSiteReducer_SET_sortByKey',

  SET_isZoomedExerciseReleaseDisplayed = 'releaseSiteReducer_SET_isZoomedExerciseReleaseDisplayed',

  SET_comesFromOwnExercisesSite = 'releaseSiteReducer_SET_comesFromOwnExercisesSite',

  SET_isChangeDialogDisplayed = 'releaseSiteReducer_SET_isChangeDialogDisplayed',


  RESET = 'releaseSiteReducer_RESET',
}

