/**
 * Created by janis dähne.
 */

/**
 * the system role for an user (member)
 * see backend type GroupRolePermission for permission description
 */
export interface GroupRoleWithPermissionFullBase {
  readonly id:number
  /**
   * the display name
   */
  readonly displayName:string

  //permissions
  readonly canCreateExercises:boolean
  readonly canChangeExercises:boolean
  readonly canDeleteExercises:boolean

  readonly canReleaseExercises:boolean
  readonly canCopyExercises:boolean
  readonly canAssessExercises:boolean

  readonly canSeeExercisesFromOthersInGroup:boolean

  readonly canAddUserToGroup:boolean
  readonly canRemoveMemberFromGroup:boolean
  readonly canChangeOtherMembersRole:boolean

  /**
   * TODO add?
   * datenschutz??
   */
  readonly canSeeOtherUsers: boolean

}